const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzzsolutions.asia/amap/map.php?site=campbell_",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
        "_19272_25936_0": { camera: [15864, 21539, 65751], scene: [15864, 23732, 2939] }, // Default
		
		"_5876_27664_0": { camera: [12938, 19645, 54127], scene: [13534, 19645, 2939] }, // DP_G01_Sen_TB
		"_14621_21220_600": { camera: [14205, 17625, 65785], scene: [14205, 16894, 2939] }, // DP_L102_Sen_TT
		"_14621_21168_600": { camera: [14928, 19509, 65779], scene: [14928, 20606, 2939] }, // DP_L103_Sen_TT
		"_16490_27348_600": { camera: [15637, 20165, 56817], scene: [14697, 20170, 2939] } // DP_L104_Sen_TB	
		
		},
		
    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [4, 4, 6],
        animate: false,
        animRotation: [0, 0, 5],
        neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    // ssTopBanner: {
    //     link: "/../app/assets/images/ss-top-banner.png",
    //     type: "IMAGE"
    // },

    insideAreaDelta: 300,
    useFlyAnimation: false,
    pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,

    zoneButtonUseLongName: false,
	multiFloorTransition: false,
    multiFloorTransitionInclineAngle: 75,
    heightSpread: 22000, // cm
    pathFullView: {
        camera: [17047, 108310, 51649],
        scene: [17463, 70736, 2942]
    },

    useTopCategories: false,
	searchByCellId: true,
    qrDarkColor: "#766B59",
    maxPOIsResults: 300,

    clockDateFormat: "ddd, D MMMM",
    clockTimeFormat: "hh:mm",
    weatherCity: "Frankston East, AU"
};

const customMainServicesCodes = ["toilets_disabled"];
const servicesWithResultsList = ["atm_", "security", "parking"];
const servicesWithResultsListSortField = "cellId";